---
lang: en
title: 'API docs: context.context._mergewithparent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.context._mergewithparent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [\_mergeWithParent](./context.context._mergewithparent.md)

## Context.\_mergeWithParent() method

<b>Signature:</b>

```typescript
protected _mergeWithParent<ValueType>(childList: Readonly<Binding<ValueType>>[], parentList?: Readonly<Binding<ValueType>>[]): Readonly<Binding<ValueType>>[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  childList | <code>Readonly&lt;Binding&lt;ValueType&gt;&gt;[]</code> |  |
|  parentList | <code>Readonly&lt;Binding&lt;ValueType&gt;&gt;[]</code> |  |

<b>Returns:</b>

`Readonly<Binding<ValueType>>[]`


